\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{pacer}[2020/09/21 LaTeX class for PACER proposals]
\LoadClass{article}
\RequirePackage[margin=0.5in]{geometry}
\RequirePackage[T1]{fontenc}
\RequirePackage[utf8]{inputenc}
\RequirePackage[usenames,dvipsnames]{xcolor}
\RequirePackage{roboto}
\RequirePackage{titling}
\RequirePackage{titlesec}
\RequirePackage{color, colortbl}
\RequirePackage{tabularx}

\definecolor{pawseyorange}{rgb}{0.945, 0.353, 0.161}
\definecolor{pawseyblue}{rgb}{0.035, 0.263, 0.345}
\definecolor{pawseytable}{rgb}{0.39,0.63,0.68}

\newcommand{\sectionfont}{\roboto\fontsize{16}{12}\color{pawseyblue}}

\colorlet{titlerulecolor}{pawseyorange}

\renewcommand{\thesection}{Part \arabic{section}:}
\renewcommand{\thesubsection}{\Alph{subsection}.}

\titleformat{\subsection}{\subsectionfont}{\sectionfont\thesubsection.}{1em}{}{}

\titleformat{\subsection}
    {\sectionfont}
    {\sectionfont\thesubsection}{0.2em}
    {\sectionfont}[\color{titlerulecolor}\titlerule]

\titleformat{\section}
    {\sectionfont}
    {\sectionfont\thesection}{0.2em}
    {\sectionfont}

\pretitle{
  \begin{center}
    \color{pawseyblue}
    \fontsize{24.88}{12}\bf\roboto
}
\posttitle{
  \color{pawseyorange}
  \noindent\vrule height 2.5pt width \textwidth
  \medskip
  \color{black}
  \newline
  \fontsize{20.74}{12}\normalfont\roboto
  PAWSEY CENTRE FOR EXASCALE READINESS
  \end{center}
  {\it Completed forms should be submitted in PDF format by emailing pacer@pawsey.org.au.}  
}
\title{Application Form}
\author{}
\date{}
